Dotclear

Vous n'êtes pas identifié(e).

Annonce

#26 2012-09-19 09:55:19

Dessa
Membre
Inscription : 2006-07-10

Re : Erreur quand je clique sur Import/Export

Comme je le disais au-dessus, il s'agit d'un serveur dédié KimSufi (de chez OVH, mais juste pour la partie administrative) avec la config suivante :
Centos 5 en 64 bits,
Apache : 2.2.3   
PHP : 5.1.6  (5.1.6-27.el5_5.3)

Ce serveur n'est pas en php 5.2. Si je voulais "l'upgrader", je perdrais une partie des fonctionnalités de mon hébergement. L'autre solution serait de migrer de serveur mais pour l'instant, je ne peux pas.

Hors ligne

#27 2012-09-19 10:27:21

Dsls
Modérateur couteau-suisse
Inscription : 2004-11-18
Site Web

Re : Erreur quand je clique sur Import/Export

C'est ça que j'ai du mal à comprendre : tu es censée avoir tous les "pouvoirs" sur ce type de serveurs, notamment les mises à jour logicielles. Quelles fonctionnalités perdrais-tu ?


Dyslexics have more fnu!

Hors ligne

#28 2012-09-19 10:28:15

Dsls
Modérateur couteau-suisse
Inscription : 2004-11-18
Site Web

Re : Erreur quand je clique sur Import/Export

A noter : il est tout à fait possible de faire coexister 2 versions de PHP différentes sur un même serveur, et de spécifier quels scripts sont à utiliser avec quelle version de PHP...


Dyslexics have more fnu!

Hors ligne

#29 2012-09-19 11:27:54

Dessa
Membre
Inscription : 2006-07-10

Re : Erreur quand je clique sur Import/Export

Le serveur est loué par un ami, je n'ai donc la main que sur mes sites à moi (ftp, bases...) (je n'ai pas les connaissances nécessaires pour faire plus).
Voici ce qu'on ne pourrait plus utiliser en upgradant : le panneau de conf Plesk.
Il s'est renseigné sur le sujet.
Je vais l'interroger sur la possibilité de faire coexister les 2 versions. A l'heure actuelle, il ne m'en a pas parlé.

Merci pour ces réponses.
Et la confirmation, visiblement, du passage à php 5.2 minimum pour Dotclear.

EDIT : il me confirme que la cohabitation des 2 versions de php nous rendrait impossible l'utilisation de Plesk qui est notre interface de gestion d'hébergement.
La solution est donc de migrer pour un nouveau serveur avec déjà php 5.2 intégré et ce n'est pas d'actualité, niveau finances...
Ca me semble mal parti pour mon cas :-/

Dernière modification par Dessa (2012-09-19 12:04:57)

Hors ligne

#30 2012-09-23 09:39:57

salamandre475
Membre
Inscription : 2012-08-28

Re : Erreur quand je clique sur Import/Export

Bonjour, c'est encore moi!
Concernant la base de donnée chez free, il semblerait que mon dotclear soit sur la base PostgreSQL, comment je fais pour sauvegarder exactement ? Et dans l'éventualité ou je devais remettre mes données dessus si elles étaient perdues, que dois-je faire? Parce que si ça bug...
On doit attendre que dotclear fasse une nouvelle version pour que l'extension import/export refonctionne ?

Hors ligne

#31 2012-09-26 13:57:52

isaric
Membre
Inscription : 2006-06-01
Site Web

Re : Erreur quand je clique sur Import/Export

alain73 a écrit :

Free, Dotclear 2.4.4

Je viens d'installer 2.4.4 car j'avais 2.2, mais Impossible d'importer de réinstaller la sauvegarde faite sur 2.2 2012-09-25-dotclear-backup.txt
On me dit :

Fatal error: Objects used as arrays in post/pre increment/decrement must return values by reference in /mnt/110/sdb/5/5/isaric.linux/Blog/plugins/importExport/_prepend.php on line 32

Hébergé chez Free.fr.

Hors ligne

#32 2012-09-27 06:46:04

isaric
Membre
Inscription : 2006-06-01
Site Web

Re : Erreur quand je clique sur Import/Export

Aussi je n'arrive pas à trouver de lien vers les anciennes versions comme 2.4.3 et sinon 2.4.2 pour réinstaller un site fonctionnel ?


Hébergé chez Free.fr.

Hors ligne

#33 2012-09-27 07:25:10

Philippe
Stagiaire
Lieu : Toulon
Inscription : 2004-06-13
Site Web

Re : Erreur quand je clique sur Import/Export

Toutes les anciennes versions sont ici : http://download.dotclear.org/attic/

Hors ligne

#34 2012-09-27 12:24:54

isaric
Membre
Inscription : 2006-06-01
Site Web

Re : Erreur quand je clique sur Import/Export

Merci amalgame

2.4.3 donne bien :

Contenu importé avec succès.

Hébergé chez Free.fr.

Hors ligne

#35 2012-09-28 13:31:29

salamandre475
Membre
Inscription : 2012-08-28

Re : Erreur quand je clique sur Import/Export

Comment ça se passe pour "downgrader" dotclear? Surtout si on ne peut pas sauvegarder ses données, s'il arrive quelque chose... en downgradant, on peut de nouveau utiliser l'import export?

Hors ligne

#36 2012-10-02 08:06:22

isaric
Membre
Inscription : 2006-06-01
Site Web

Re : Erreur quand je clique sur Import/Export

salamandre475 a écrit :

... "downgrader" dotclear?

en 2.4.3 j'arrive bien à créer 2012-09-30-dotclear-backup.txt et le contenu semble correct :)

Dernière modification par isaric (2012-10-02 08:38:10)


Hébergé chez Free.fr.

Hors ligne

#37 2012-10-02 08:15:28

Dsls
Modérateur couteau-suisse
Inscription : 2004-11-18
Site Web

Re : Erreur quand je clique sur Import/Export

Dans l'amélioration de code du plugin importExport, il a du y avoir introduction de code incompatible avec PHP 5.1. On investigue sur le sujet...


Dyslexics have more fnu!

Hors ligne

#38 2012-10-03 12:51:00

Dessa
Membre
Inscription : 2006-07-10

Re : Erreur quand je clique sur Import/Export

Dsls a écrit :

Dans l'amélioration de code du plugin importExport, il a du y avoir introduction de code incompatible avec PHP 5.1. On investigue sur le sujet...

Merci pour cette investigation :)
Je me tiendrai informée.

Pour l'instant, je n'ai pas encore fait la régression vers Dotclear 2.4.3. Du coup, je ne peux plus sauvegarder mes blogs via l'admin.

Si vous trouvez une solution, ça m'ôtera une bonne épine du pied.

Hors ligne

#39 2012-10-15 12:17:01

Dessa
Membre
Inscription : 2006-07-10

Re : Erreur quand je clique sur Import/Export

Petites questions : doit-on ouvrir un ticket sur le sujet ? Pensez-vous que ça pourrait faire partie d'une correction lors de la prochaine mise à jour de Dotclear ?

C'est pour savoir si je downgrade (ce que je n'ai pas encore osé faire puisque l'import-export ne fonctionne pas) ou si j'attends une mise à jour.
Pour l'instant, je vis depuis août sans sauvegarde. Je vais essayer d'aller en faire une de la base mysql mais je ne suis pas super à l'aise en tant qu'utilisatrice.

Merci d'avance pour votre réponse :)

Hors ligne

#40 2012-10-15 19:15:39

alain73
Membre
Inscription : 2012-09-02
Site Web

Re : Erreur quand je clique sur Import/Export

Bonsoir,

J'ai moi aussi cette impossibilité d'export chez Free depuis pas mal de temps et cela me pose vraiment problème. Faut-il attendre une màj ? Ou faut-il downgrader ? Et s'il faut downgrader, y a t-il une façon simple de ne downgrader que le module d'export ?

Merci d'avance pour votre réponse.

Hors ligne

#41 2012-10-16 07:30:03

Lomalarch
Responsable du photocopieur
Lieu : Colombes (92)
Inscription : 2006-05-02
Site Web

Re : Erreur quand je clique sur Import/Export

Bonjour,

je viens de faire le test sur ma vieille installation free, et, effectivement, on peut downgrader sans problème le plugin import/export, qui fonctionne alors comme d’habitude. Pour ce faire :

* Télécharger dotclear 2.4.3 depuis le grenier
* Décompresser l’archive sur votre disque dur
* Sur le ftp free, supprimer le dossier dotclear/plugins/importExport
* Envoyer, à la place, le dossier de l’archive 2.4.3

C’est prêt :-)

S’il y en a que ça intéresse, j’ai aussi un script pour générer une sauvegarde de la base postgresql et la récupérer sur son ordinateur, quelque part.


RTFM attitude : https://fr.dotclear.org/documentation/2.0
Le chantier tips, tutos et astuces : http://tips.dotaddict.org/
Rien nulle part??? une petite recherche sul’ forum, alors?: https://forum.dotclear.org/search.php ?

Hors ligne

#42 2012-10-16 10:31:06

isaric
Membre
Inscription : 2006-06-01
Site Web

Re : Erreur quand je clique sur Import/Export

Merci Lomalarch cela marche bien le changement du plugin import/export 2.4.4 par le plugin import/export 2.4.3
Merci


Hébergé chez Free.fr.

Hors ligne

#43 2012-10-20 20:05:14

salamandre475
Membre
Inscription : 2012-08-28

Re : Erreur quand je clique sur Import/Export

Bonsoir, j'ai fais comme Lomalarch a dit pour le plugin import export, cependant j'ai l'impression que tout n'est pas sauvegardé dans le fichier texte... Comment savoir ? Car a la fin du fichier texte une phrase est coupée par exemple... Bizarre?

Hors ligne

#44 2012-10-21 08:01:39

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : Erreur quand je clique sur Import/Export

On fera une régression à la version précédente du plugin import/export pour la prochaine release (tant pis pour le zip), à moins que d'ici là on ait trouvé ce qui coince.


Dotclear addicted since 2004

Hors ligne

#45 2012-10-21 09:44:24

alain73
Membre
Inscription : 2012-09-02
Site Web

Re : Erreur quand je clique sur Import/Export

salamandre475 a écrit :

j'ai fais comme Lomalarch a dit pour le plugin import export, cependant j'ai l'impression que tout n'est pas sauvegardé dans le fichier texte... Comment savoir ? Car a la fin du fichier texte une phrase est coupée par exemple... Bizarre?

Moi aussi (merci Lomalarch !). J'obtiens un comportement surprenant :
- 2012-10-21-default-backup.txt (export a blog) est complet
- 2012-10-21-dotclear-backup.txt (export all content) est incomplet (à la fin du fichier texte une phrase est coupée et il manque une bonne partie de la table des commentaires)

Hors ligne

#46 2012-10-21 10:07:03

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : Erreur quand je clique sur Import/Export

J'ai trouvé ce qui coince pour la page blanche chez Free, par contre pour le reste, je ne sais pas.


Dotclear addicted since 2004

Hors ligne

#47 2012-10-22 05:06:07

Mirovinben
M comme Mathusalem
Lieu : Dole (Jura)
Inscription : 2007-02-06
Site Web

Re : Erreur quand je clique sur Import/Export

Franck Paul a écrit :

J'ai trouvé ce qui coince pour la page blanche chez Free, par contre pour le reste, je ne sais pas.

Merci !!!

Le fait que le fichier issu d'un export "all content" soit tronqué avec l'utilisation du plugin import/export de la version 2.4.3 sur un Dotclear 2.4.4 n'est pas forcément un bug.

Je n'ai pas d'hébergement chez Free et ne peux tester. Est-ce que ce pb apparaît chez d'autres freenautes ?

Hors ligne

#48 2012-10-24 10:29:21

isaric
Membre
Inscription : 2006-06-01
Site Web

Re : Erreur quand je clique sur Import/Export

isaric a écrit :

Merci amalgame

2.4.3 donne bien :

Contenu importé avec succès.

Juste entre parenthèse viens de tester sur dotclear-2.5-dev-r901 et cela marche bien.


Hébergé chez Free.fr.

Hors ligne

#49 2012-11-11 12:26:12

Alain091
Membre
Inscription : 2012-08-21

Re : Erreur quand je clique sur Import/Export

je suis sous free et la version php 5.1.3 crée des problèmes. Je propose le patch suivant qui paraît contourné le problème pour les versions de php avant la 5.2.

Les -- sont des lignes supprimées ou modifiées et ++ des lignes ajoutées

[code=php]
Index: _prepend.php
===================================================================
--- _prepend.php    (revision 483)
+++ _prepend.php    (working copy)
@@ -29,14 +29,27 @@

function registerIeModules($modules)
{
-    $modules['import'][] = 'dcImportFlat';
-    $modules['import'][] = 'dcImportFeed';
-   
-    $modules['export'][] = 'dcExportFlat';
-   
-    if ($GLOBALS['core']->auth->isSuperAdmin()) {
-        $modules['import'][] = 'dcImportDC1';
-        $modules['import'][] = 'dcImportWP';
-    }
+    if (version_compare(PHP_VERSION, '5.2', '>=')) {
+        $modules['import'][] = 'dcImportFlat';
+        $modules['import'][] = 'dcImportFeed';
+
+        $modules['export'][] = 'dcExportFlat';
+
+        if ($GLOBALS['core']->auth->isSuperAdmin()) {
+            $modules['import'][] = 'dcImportDC1';
+            $modules['import'][] = 'dcImportWP';
+        }
+    } else {
+        $tmp = $modules->getArrayCopy();
+        $tmp['import'][] = 'dcImportFlat';
+        $tmp['import'][] = 'dcImportFeed';
+        $tmp['export'][] = 'dcExportFlat';
+
+        if ($GLOBALS['core']->auth->isSuperAdmin()) {
+            $tmp['import'][] = 'dcImportDC1';
+            $tmp['import'][] = 'dcImportWP';
+        }
+        $old = $modules->exchangeArray($tmp);
+    }
}
?>
\ No newline at end of file
[/code]

Hors ligne

#50 2013-03-07 19:21:49

clomen
Membre
Lieu : Nîmes
Inscription : 2011-10-02

Re : Erreur quand je clique sur Import/Export

Lomalarch a écrit :

Bonjour,

je viens de faire le test sur ma vieille installation free, et, effectivement, on peut downgrader sans problème le plugin import/export, qui fonctionne alors comme d’habitude. Pour ce faire :

* Télécharger dotclear 2.4.3 depuis le grenier
* Décompresser l’archive sur votre disque dur
* Sur le ftp free, supprimer le dossier dotclear/plugins/importExport
* Envoyer, à la place, le dossier de l’archive 2.4.3

C’est prêt :-)

S’il y en a que ça intéresse, j’ai aussi un script pour générer une sauvegarde de la base postgresql et la récupérer sur son ordinateur, quelque part.

bonsoir

j'ai  le même souci :  Import/Export --> Fatal error: Objects used as arrays in post/pre increment/decrement must return values by reference in /mnt/169/sdb/8/4/abccigale/plugins/importExport/_prepend.php on line 32

qu'est-ce que ça donne alors  à l'usage le downgrade du plugin Import/Export en 2.4.3 ?

Dernière modification par clomen (2013-03-07 19:22:49)


2e site > multiblogs 2.5  http://abc.cigale.free.fr contactMe 1.3 sur /dotclear/plugins/
1er site > le blog installé premier blog http://abccigale.free.fr 2.4.4 avec importExport 2.4.3 et contactMe 1.2
à petits pas...

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map